[Lazarus] OSX 64 bit Cocoa + Catalina Installer

Dan Star dan2329s at gmail.com
Thu Oct 31 16:30:03 CET 2019


On Oct 31, 2019, at 7:40 AM, Mattias Gaertner via lazarus <lazarus at lists.lazarus-ide.org> wrote:
> 
> ´╗┐On Thu, 24 Oct 2019 15:36:54 -0500
> Dan Star via lazarus <lazarus at lists.lazarus-ide.org> wrote:
> 
>> On my other Catalina Mac I cannot install LLDB FPDebug.  I get the 
>> following error when I rebuild the IDE with fpdebug and laz...fplldb 
>> packages:
>> 
>>    Build IDE: Exit code 2, Errors: 3
>>    Error: ld: framework not found Cocoa
>>    make[2]: *** [lazarus] Error 1
>>    make[1]: *** [idepkg] Error 2
>>    Error: make: *** [idepkg] Error 2
>>    An error occurred while linking
>>    Error: Error while linking
>> 
>> Xcode 11.1 is installed so I assume the Cocoa Framework (only needed
>> for programming or for Macos too?) is installed too.   Please advise.
> 
> I upgraded from Mojave to Catalina
> 
> executed "xcode-select --install"
> 
> And then to find the crt1.10.5 I changed in /etc/fpc.cfg the -Fl behind
> "#ifdef cpux86_64" from
> -Fl/Applications/Xcode.app/Contents/Developer/Toolchain...
> to
> -Fl/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/lib/
> 
> Now Lazarus can compile itself.

What are the correct file permissions on /etc/fpc.cfg?



More information about the lazarus mailing list